Bug 198607 - x11-wm/awesome-vicious: vicious widgets ported to FreeBSD
Summary: x11-wm/awesome-vicious: vicious widgets ported to FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gleb Popov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-15 15:27 UTC by rsos+freebsd
Modified: 2020-04-27 14:29 UTC (History)
4 users (show)

See Also:
wg: maintainer-feedback+


Attachments
Patch (6.75 KB, patch)
2020-04-25 16:50 UTC, Gleb Popov
arrowd: maintainer-approval? (wg)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsos+freebsd 2015-03-15 15:27:02 UTC
Hello!

Most of the vicious widgets are running under Linux only. A couple of weeks ago I did some work to port most of them to FreeBSD. As not touching any of the Linux specific widgets the end user is not negatively affected from the change but has a lot of new widgets they can use under FreeBSD.

The repository with some documentation is located here:
https://bitbucket.org/mutluyum/vicious_bsd/overview

Greetings
Comment 1 Ed Maste freebsd_committer 2015-09-25 18:00:20 UTC
Have you tried working with the upstream project to get this work integrated there?
Comment 2 rsos+freebsd 2015-10-03 09:59:17 UTC
Yes, I tried this, but the maintainer denied because there is no push function for his service that I could use and he is in lack of time for integrating my changes regularly ...
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-12 23:12:44 UTC
Any advance here? Or is it overcome by events?
Comment 4 rsos+freebsd 2018-01-13 12:50:46 UTC
Hello,

FreeBSD support has landed in upstream. New upstream url is:
https://github.com/Mic92/vicious/releases

So the only thing to do is to update the port. Right now I'm in lack of time to provide a patch but maybe I'm able to do it in a month or so ...

Best
rs.os
Comment 5 Gleb Popov freebsd_committer 2020-04-25 16:50:36 UTC
Created attachment 213785 [details]
Patch

Here's a patch to the port to update it to the latest version.
Comment 6 William Grzybowski freebsd_committer 2020-04-27 13:22:58 UTC
Approved, feel free to take maintainership. I no longer use this port.
Comment 7 Gleb Popov freebsd_committer 2020-04-27 13:54:56 UTC
(In reply to William Grzybowski from comment #6)
I don't use it either. Do you want to reset MAINTAINER, while committing?
Comment 8 William Grzybowski freebsd_committer 2020-04-27 13:55:28 UTC
I suppose we can reset it to ports@
Comment 9 commit-hook freebsd_committer 2020-04-27 14:28:39 UTC
A commit references this bug:

Author: arrowd
Date: Mon Apr 27 14:28:12 UTC 2020
New revision: 533140
URL: https://svnweb.freebsd.org/changeset/ports/533140

Log:
  x11-wm/awesome-vicious: Update to 2.4.0. Reset MAINTAINER by wd's request.

  PR:		198607

Changes:
  head/x11-wm/awesome-vicious/Makefile
  head/x11-wm/awesome-vicious/distinfo
  head/x11-wm/awesome-vicious/pkg-plist